Subject: Ixgbe question

From: Ben Greear <[email-masked]>
Date: Mon, 10 Mar 2008 14:27:00 -0700

I have a pair of IXGBE NICs in a system, and notice a strange
case where the NIC is not always 'UP' after my programs finish
trying to configure it.  I haven't noticed this with any other
NICs, but I also just moved to 2.6.23.17 from 23.9 and 23.14.

I see this in the logs:

ADDRCONF(NETDEV_UP): eth0: link is not ready

It would seem to me that we should be able to set the admin
state to UP, even if the link is not up??

Kernel is 2.6.23.17 plus my hacks.   Ixgbe driver is version 1.3.7.8-lro.

Hardware is quad-core Intel, 2 build-in e1000, 2-port ixgbe (CX4) chipset NIC
on a pcie riser.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com